<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_MesCommandesController extends AbsApiController
{
    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();

        $return['Trads']['MLS_BoutonEnvoyer']                   = $trad->t('Envoyer');
        $return['Trads']['MLS_BoutonRelancer']                  = $trad->t('Relancer');
        $return['Trads']['MLS_BoutonReception']                 = $trad->t('Réception');
        $return['Trads']['MLS_Onglet1']                         = $trad->t('A envoyer');
        $return['Trads']['MLS_Onglet2']                         = $trad->t('En signature');
        $return['Trads']['MLS_Onglet3']                         = $trad->t('A réceptionner');
        $return['Trads']['MLS_Onglet4']                         = $trad->t('Envoyées');
        $return['Trads']['MLS_TitreMesCommandes']               = $trad->t('Mes commandes');
        $return['Trads']['MLS_TitreCdesCreees']                 = $trad->t('Commandes créées');
        $return['Trads']['MLS_DialoguePatienter']               = $trad->t('Veuillez patienter...');
        $return['Trads']['MLS_DateCreationCde']                 = $trad->t('Date de création');
        $return['Trads']['MLS_PrefixeCDECde']                   = $trad->t('Date de livraison');
        $return['Trads']['MLS_PrefixeCDECde']                   = $trad->t('CDE');
        $return['Trads']['MLS_ConfirmerRelance']                = $trad->t('Souhaitez-vous relancer le(s) signataire(s) de la commande N° %1 ?');
        $return['Trads']['MLS_TraitementTermine']               = $trad->t('Traitement terminé.');
        $return['Trads']['MLS_InfoStatut_ENV']                  = $trad->t('Envoyée');
        $return['Trads']['MLS_InfoStatut_ARECEP']               = $trad->t('A réceptionner');
        $return['Trads']['MLS_InfoStatut_RECEPTIONNEE']         = $trad->t('Réceptionnée');
        $return['Trads']['MLS_PopupEnvoyer_Titre']              = $trad->t('Routage de la commande N° %1');
        $return['Trads']['MLS_PopupEnvoyer_Col_Selection']      = $trad->t('Sélection');
        $return['Trads']['MLS_PopupEnvoyer_Col_Titre']          = $trad->t('Titre exemplaire');
        $return['Trads']['MLS_PopupEnvoyer_Col_Routage']        = $trad->t('Type routage');
        $return['Trads']['MLS_PopupEnvoyer_Col_Coord']          = $trad->t('Coordonnées');
        $return['Trads']['MLS_PopupEnvoyer_BoutonAjouter']      = $trad->t('Ajouter');
        $return['Trads']['MLS_PopupEnvoyer_BoutonEnvoyer']      = $trad->t('Envoyer');
        $return['Trads']['MLS_PopupEnvoyer_VeuillezRenseigner'] = $trad->t('Veuillez renseigner tous les champs');
        $return['Trads']['MLS_PopupEnvoyer_CdeEnvoyee']         = $trad->t('La commande a été envoyée');
        $return['Trads']['MLS_PopupEnvoyer_EmailIncorrect']     = $trad->t('Adresse email incorrecte');
        $return['Trads']['MLS_PopupEnvoyer_Txt_Destinataire']   = $trad->t('Destinataires');
        $return['Trads']['MLS_DateLivraisonCde']                = $trad->t('Date de livraison');
       
       
        return $this->createApiResponse($return);
    }
}
